petsc-3.7.1 2016-05-15
Report Typos and Errors

# PFRegister

Adds a method to the mathematical function package.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFRegister(const char sname[],PetscErrorCode (*function)(PF,void*))

Not collective Many br

### Input Parameters

| name_solver | - name of a new user-defined solver Many br
| routine_create | - routine to create method context Many br

### Notes

PFRegister() may be called multiple times to add several user-defined functions Many br

### Sample usage

       PFRegister("my_function",MyFunctionSetCreate);

Many br

Then, your solver can be chosen with the procedural interface via Many br

        PFSetType(pf,"my_function")

or at runtime via the option Many br

        -pf_type my_function

Many br

### Keywords

PF, register

### See Also

PFRegisterAll(), PFRegisterDestroy(), PFRegister()

Level:advanced
Location:src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages